Package: org.grails.web.databinding.bindingsource

## [Groovy] Class HalXmlDataBindingSourceCreator

- org.grails.web.databinding.bindingsource.HalXmlDataBindingSourceCreator

-     @groovy.transform.CompileStatic
      class HalXmlDataBindingSourceCreator
      extends XmlDataBindingSourceCreator

  Authors:
    Jeff Brown
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractRequestBodyDataBindingSourceCreator` | `ignoredRequestBodyMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HalXmlDataBindingSourceCreator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected DataBindingSource` | `createBindingSource(java.io.Reader reader)`
    `` | `MimeType[]` | `getMimeTypes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class XmlDataBindingSourceCreator` | `createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getMimeTypes`
    `class AbstractRequestBodyDataBindingSourceCreator` | `createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType`
    `class DefaultDataBindingSourceCreator` | `createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType`

- - ### Constructor Detail

    - #### HalXmlDataBindingSourceCreator()

  - ### Method Detail

    - #### @java.lang.Override protected DataBindingSource createBindingSource(java.io.Reader reader)

    - #### @java.lang.Override MimeType[] getMimeTypes()